Инклюдинг локальных файлов в Pixie CMS

Дата публикации:
13.02.2009
Дата изменения:
02.04.2009
Всего просмотров:
1741
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие системных данных
Внедрение в сессию пользователя
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Pixie CMS 1.x
Уязвимые версии: Pixie CMS 1.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным на системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "x" в сценарии admin/admin/modules/mod_settings.php, когда параметр "pixie_user_privs" установлен в значение выше "1" и параметр "pixie_user" установлен в непустое значение. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости приложение должно быть установлено на Windows платформу, опция "magic_quotes_gpc" должна быть отключена и опция "register_globals" включена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "m" и "x" в сценарии admin/admin/modules/mod_myaccount.php, когда параметр "pixie_user" установлен в непустое значение. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена и опция "register_globals" включена в конфигурационном файле PHP.

URL производителя: www.getpixie.co.uk

Решение: Установите исправление с сайта производителя.

Журнал изменений:

02.04.2009
Изменена секция «Решение».

Ссылки: http://milw0rm.com/exploits/7886